Description

The current Add WFS layer dialog is confusing for new users in regards to downloading of WFS data. At the moment there is a per layer

cached checkbox which when checked will attempt to download the whole dataset. If unchecked (non-cached) will only request features

within the current mapcanvas extents. There is also a checkbox option "Only request the features overlapping the current view extent"

which seems to do the same as the non-cached option, regardless of the cached checkbox being checked or unchecked.

The main use cases that these options are trying to solve are:

1/ Download the whole dataset for teh fastest desktop usage when the WFS layer size can be downloaded within a reasonable

timeframe.

2/ Allow the user to still use the layer for viewing and querying at larger scales when the complete WFS layer is too large (e.g millions of

features such as national parcel or topo datasets)

Given this situation I propose we change the UI and simplify the options to just have the per layer cached checkbox option and complete

remove the "Only request the features overlapping the current view extent" option.

also see #13117-5

Related issues:

Related to QGIS Application - Bug report # 13117: cached wfs not downloading ... Closed 2015-07-15

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-05-19 09:22 AM - Jürgen Fischer

- Description updated

#3 - 2017-05-19 09:22 AM - Jürgen Fischer

- Related to Bug report #13117: cached wfs not downloading new features while panning added
